JcaX509CRLConverter (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.jcajce

## Class JcaX509CRLConverter

- java.lang.Object
- - org.bouncycastle.cert.jcajce.JcaX509CRLConverter

-     public class JcaX509CRLConverter
      extends java.lang.Object

  Class for converting an X509CRLHolder into a corresponding X509CRL object tied to a particular JCA provider.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaX509CRLConverter()` Base constructor, configure with the default provider.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.X509CRL` | `getCRL(X509CRLHolder crlHolder)` Use the configured converter to produce a X509CRL object from a X509CRLHolder object.
    `JcaX509CRLConverter` | `setProvider(java.security.Provider provider)` Set the provider to use from a Provider object.
    `JcaX509CRLConverter` | `setProvider(java.lang.String providerName)` Set the provider to use by name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaX509CRLConverter

          public JcaX509CRLConverter()

      Base constructor, configure with the default provider.

  - ### Method Detail

    - #### setProvider

          public JcaX509CRLConverter setProvider(java.security.Provider provider)

      Set the provider to use from a Provider object.
      Parameters:
        `provider` - the provider to use.
      Returns:
        the converter instance.

    - #### setProvider

          public JcaX509CRLConverter setProvider(java.lang.String providerName)

      Set the provider to use by name.
      Parameters:
        `providerName` - name of the provider to use.
      Returns:
        the converter instance.

    - #### getCRL

          public java.security.cert.X509CRL getCRL(X509CRLHolder crlHolder)
                                            throws java.security.cert.CRLException

      Use the configured converter to produce a X509CRL object from a X509CRLHolder object.
      Parameters:
        `crlHolder` - the holder to be converted
      Returns:
        a X509CRL object
      Throws:
        `java.security.cert.CRLException` - if the conversion is unable to be made.